Bug 1346013 - Introduce API support for requesting mandatory locks
Summary: Introduce API support for requesting mandatory locks
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: libgfapi
Version: 3.8
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Anoop C S
QA Contact: Sudhir D
URL:
Whiteboard:
Depends On: 1346010
Blocks: glusterfs-3.8.10
TreeView+ depends on / blocked
 
Reported: 2016-06-13 16:29 UTC by Anoop C S
Modified: 2017-11-07 10:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1346010
Environment:
Last Closed: 2017-11-07 10:40:31 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Anoop C S 2016-06-13 16:29:17 UTC
+++ This bug was initially created as a clone of Bug #1346010 +++

Description of problem:
In spite of having the mandatory-locks feature for GlusterFS, its native C API lacks support for requesting the same. This bug is to track the implementation/extension of libgfapi to provide this support for applications.

Version-Release number of selected component (if applicable):
mainline

Comment 1 Niels de Vos 2016-09-12 05:39:41 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 2 Niels de Vos 2016-11-23 15:28:52 UTC
This bug did not make it in the glusterfs-3.8.6 release and has been moved to the 3.8.7 planning.

Comment 3 Niels de Vos 2016-12-11 16:26:05 UTC
This bug did not make it in the glusterfs-3.8.7 release and has been moved to the 3.8.8 planning.

Comment 4 Niels de Vos 2017-01-11 11:43:06 UTC
This bug did not make it in the glusterfs-3.8.8 release and has been moved to the 3.8.9 planning.

Comment 5 Niels de Vos 2017-02-13 08:44:51 UTC
This bug did not make it in the glusterfs-3.8.9 release and has been moved to the 3.8.10 planning.

Comment 6 Niels de Vos 2017-11-07 10:40:31 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.